np_client_free
np_client_new
np_client_start_service
np_client_t
np_error_t
np_notify_cb_t
np_observe_notification
np_observe_notifications
np_post_notification
NP_SERVICE_NAME
np_set_notify_callback

## np_observe_notifications()

LIBIMOBILEDEVICE_API np_error_t np_observe_notifications | ( | np_client_t | client,
|  | const char ** | notification_spec )

Tells the device to send a notification on specified events.

Parameters

  client | The client to send to
  notification_spec | Specification of the notifications that should be observed. This is expected to be an array of const char* that MUST have a terminating NULL entry.

Returns
  NP_E_SUCCESS on success, NP_E_INVALID_ARG when client is null, or an error returned by np_observe_notification.